<?xml version="1.0" encoding="UTF-8"?>
<project name="blancoValueObjectPhp" default="build" basedir=".">
	<!-- blancoAnt(0.0.7)により自動生成されました。 (2006/12/27) -->
	<property name="version" value="0.0.5" />

	<property name="project" value="blancoValueObjectPhp" />
	<property name="product" value="blanco.valueobjectphp" />
	<property name="project.zip" value="${project}-${version}-src.zip" />
	<property name="project.main.jar" value="blancovalueobjectphp-${version}.jar" />

	<property name="eclipse.dir" value="D:/Program Files/eclipse" />
	<property name="dotnet.dir" value="D:\WINDOWS\Microsoft.NET\Framework\v2.0.50727" />

	<!-- Antタスク定義 2006.10.26版 begin -->
	<taskdef name="blancoanttask" classname="blanco.anttask.task.BlancoAntTaskTask">
		<classpath>
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib.ant" includes="*.jar" />
		</classpath>
	</taskdef>

	<taskdef name="blancoconstants" classname="blanco.constants.task.BlancoConstantsTask">
		<classpath>
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib.ant" includes="*.jar" />
		</classpath>
	</taskdef>

	<taskdef name="blancometa2xmlprocess" classname="blanco.meta2xml.task.BlancoMeta2XmlProcessTask">
		<classpath>
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib.ant" includes="*.jar" />
		</classpath>
	</taskdef>

	<taskdef name="blancoresourcebundle" classname="blanco.resourcebundle.task.BlancoResourceBundleTask">
		<classpath>
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib.ant" includes="*.jar" />
		</classpath>
	</taskdef>

	<taskdef name="blancovalueobject" classname="blanco.valueobject.task.BlancoValueObjectTask">
		<classpath>
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib.ant" includes="*.jar" />
		</classpath>
	</taskdef>

	<!-- Antタスク定義 2006.10.26版 end -->

	<!-- 自分自身のAntタスク。 -->
	<taskdef name="blancovalueobjectphp" classname="blanco.valueobjectphp.task.BlancoValueObjectPhpTask">
		<classpath>
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib.ant" includes="*.jar" />
		</classpath>
	</taskdef>

	<target name="pack">
		<echo>packing project</echo>
		<delete file="${project.zip}" />
		<delete dir="bin" />
		<delete dir="javadoc" />

		<delete dir="tmp" />
		<mkdir dir="tmp" />

		<copy todir="lib.ant">
			<fileset dir=".">
				<include name="blancovalueobjectphp-*.jar" />
			</fileset>
		</copy>

		<zip destfile="${project.zip}">
			<zipfileset dir="." prefix="${project}" excludes="${project.zip},**/*.class" />
		</zip>

	</target>

	<target name="jar">
		<echo>building jar</echo>

		<!-- 定義書読込設定XMLファイル(blancoCalcParserが利用) をコピーします。 -->
		<copy file="src/blanco/valueobjectphp/BlancoValueObjectPhpMeta2Xml.xml" todir="bin/blanco/valueobjectphp" />

		<delete file="${project.main.jar}" />
		<jar destfile="${project.main.jar}">
			<zipfileset dir="doc" prefix="doc" />
			<!-- classの取り込み (※sampleは除外) -->
			<zipfileset dir="bin" includes="**/*" excludes="blanco/sample/**" />
			<!-- Javaソースコード(通常)の取り込み -->
			<zipfileset dir="src" includes="**/*" prefix="src" />
			<!-- Javaソースコード(自動生成)の取り込み (※sampleは除外) -->
			<zipfileset dir="blanco/main" includes="**/*.java" prefix="src" excludes="blanco/sample/**" />
			<!-- プロパティファイルの取り込み -->
			<zipfileset dir="blanco/main" includes="*.properties" />
		</jar>
	</target>

	<target name="compile">
		<delete dir="bin" />
		<mkdir dir="bin" />
		<javac srcdir="blanco/main" destdir="bin" debug="true" source="1.4" target="1.4" fork="true">
			<classpath>
				<!-- ワイルドカードで一括取り込み -->
				<fileset dir="lib" includes="*.jar" />
				<pathelement path="${eclipse.dir}/plugins/org.junit_3.8.1/junit.jar" />
			</classpath>
			<include name="**/*.java" />
		</javac>
		<javac srcdir="src/" destdir="bin" debug="true" source="1.4" target="1.4" fork="true">
			<classpath>
				<!-- ワイルドカードで一括取り込み -->
				<fileset dir="lib" includes="*.jar" />
				<pathelement path="${eclipse.dir}/plugins/org.junit_3.8.1/junit.jar" />
			</classpath>
			<include name="**/*.java" />
		</javac>
	</target>

	<!-- JavaDoc記述 2005.12.15版 -->
	<target name="javadoc">
		<echo>JavaDocを生成します。</echo>
		<delete dir="javadoc" />
		<javadoc destdir="javadoc">
			<fileset dir="src" />
			<fileset dir="blanco/main" />
			<classpath>
				<fileset dir="lib" includes="*.jar" />
				<fileset dir="lib.ant" includes="*.jar" />
			</classpath>
		</javadoc>
	</target>

	<target name="meta">
		<blancoconstants metadir="meta/program" />
		<blancoresourcebundle metadir="meta/program" commenttimestamp="false" />
		<blancoanttask metadir="meta/program" />
		<blancovalueobject metadir="meta/program" />
		<blancometa2xmlprocess metadir="meta/program" />

		<blancovalueobjectphp metadir="meta/program" targetdir="blanco.php" verbose="true" />
	</target>

	<target name="build" depends="meta,compile,jar,pack">
	</target>

	<!-- .NET Framework SDK によるコンパイルのセクション:begin -->
	<target name="compile.cs">
		<exec executable="${dotnet.dir}\csc.exe">
			<arg line="/target:library" />
			<arg line="/out:tmp/blancolib.dll" />
			<arg line="/doc:tmp/blancolib.xml" />
			<arg line="/recurse:*.cs" />
		</exec>
	</target>

	<target name="compile.vb">
		<exec executable="${dotnet.dir}\vbc.exe">
			<arg line="/target:library" />
			<arg line="/out:tmp/blancolib.dll" />
			<arg line="/doc:tmp/blancolib.xml" />
			<arg line="/recurse:*.vb" />
		</exec>
	</target>
	<!-- .NET Framework SDK によるコンパイルのセクション:end -->
</project>